{{- if .Values.frost.httpExternal.hpa.enabled -}}
{{- $tier := "http" -}}
{{- $fullName := include "frost-server.fullName" (merge (dict "tier" $tier) .) -}}
apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: {{ $fullName }}-external
  labels:
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/chart: {{ include "frost-server.chart" . }}
    app: {{ include "frost-server.name" . }}
    component: {{ $tier }}
spec:
  minReplicas: {{ .Values.frost.httpExternal.hpa.min }}
  maxReplicas: {{ .Values.frost.httpExternal.hpa.max }}
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ $fullName }}-external
  metrics:
  - type: Resource
    resource:
      name: cpu
      target:
        type: Utilization
        averageUtilization: {{ .Values.frost.httpExternal.hpa.targetCPUUtilizationPercentage }}
  - type: Resource
    resource:
      name: memory
      target: 
        type: Utilization
        averageUtilization: {{ .Values.frost.httpExternal.hpa.targetMemoryUtilizationPercentage }}
{{- end }}